package com.jasamedika.medifirst2000.service;

import com.jasamedika.medifirst2000.entities.LogbookKinerjaDetail;
import com.jasamedika.medifirst2000.vo.LogbookKinerjaDetailVO;
import org.springframework.orm.jpa.JpaSystemException;

import java.util.List;
import java.util.Map;

public interface LogbookKinerjaDetailService
		extends BaseVoService<LogbookKinerjaDetail, LogbookKinerjaDetailVO, String> {

	List<Map<String, Object>> findWorkingRecord(Integer idPegawai, Integer idJabatan, Long bulan, Boolean statusVerif)
			throws JpaSystemException;

	List<Map<String, Object>> findWorkingRecord(Integer idPegawai, Integer idJabatan, Integer idIndikator, Long bulan)
			throws JpaSystemException;

	List<Map<String, Object>> findAksesPegawai(Integer idPegawai) throws JpaSystemException;

	Map<String, Object> findWidgetStatusVerifikasi(Integer idPegawai, Long bulan) throws JpaSystemException;

	void hapusCatatanKinerja(String norec);

}
